Index Page wnfetd_c
A B C D E F G H I J K L M N O P Q R S T U V W X
Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries
#### Procedure
       void wnfetd_c ( SpiceCell    * window,
                       SpiceInt       n,
                       SpiceDouble  * left,
                       SpiceDouble  * right   )
#### Abstract
       Fetch a particular interval from a double precision window.
#### Required_Reading
       WINDOWS
#### Keywords
       WINDOWS
#### Brief_I/O
       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
       window     I   Input window.
       n          I   Index of interval to be fetched.
       left,
       right      O   Left, right endpoints of the nth interval.
#### Detailed_Input
       window      is a window containing zero or more intervals.

                   window must be declared as a double precision SpiceCell.

       n           is the index of a particular interval within the
                   window.  Indices range from 0 to N-1, where N is the
                   number of intervals in the window.
#### Detailed_Output
       left,
       right       are the left and right endpoints of the nth interval
                   in the input window.
#### Parameters
       None.
#### Exceptions
       1) If the input window does not have double precision type,
          the error SPICE(TYPEMISMATCH) signals.

       2) If n is less than zero, the error SPICE(NOINTERVAL) is
          signaled.

       3) If the interval does not exist, i.e., n >= card_c(&window)/2,
          the error SPICE(NOINTERVAL) signals.
#### Files
       None.
#### Particulars
       None.
#### Examples
       Let window contain the intervals

          [ 1, 3 ]  [ 7, 11 ]  [ 23, 27 ]

       This window has a cardinality of 6 ( N=3 intervals), so 'n' may have
       value 0, 1, or 2, (n < cardinality/2)

       Then the following calls

          wnfetd_c ( &window,  0, &left, &right );    (1)
          wnfetd_c ( &window,  1, &left, &right );    (2)
          wnfetd_c ( &window,  2, &left, &right );    (3)

       yield the following values of left and right

          left         right
          ---------    ---------
          1            3
          7            11
          23           27
#### Restrictions
       None.
#### Literature_References
       None.
#### Author_and_Institution
       N.J. Bachman    (JPL)
       W.L. Taber      (JPL)
       I.M. Underwood  (JPL)
#### Version
       -CSPICE Version 1.0.2, 30-JUL-2007 (EDW)

          Removed erroneous description in the Examples section
          indicating "Undefined" as a return state after an error
          event caused by an invalid value of n.

       -CSPICE Version 1.0.0, 22-AUG-2002 (NJB) (WLT) (IMU)
#### Index_Entries
       fetch an interval from a d.p. window
#### Link to routine wnfetd_c source file wnfetd_c.c

    Wed Jun  9 13:05:33 2010